#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	bs4
Summary:	beautifulsoup4 - Screen-scraping library
Summary(pl.UTF-8):	beautifulsoup4 - biblioteka przechwytująca wyjście
Name:		python-%{module}
Version:	4.6.0
Release:	4
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/beautifulsoup4/
Source0:	https://files.pythonhosted.org/packages/source/b/beautifulsoup4/beautifulsoup4-%{version}.tar.gz
# Source0-md5:	c17714d0f91a23b708a592cb3c697728
Patch0:		test_suite.patch
Patch1:		%{name}-lxml.patch
URL:		https://www.crummy.com/software/BeautifulSoup/
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	rpm-pythonprov
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%endif
%if %{with doc}
BuildRequires:	sphinx-pdg
%endif
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Beautiful Soup sits atop an HTML or XML parser, providing Pythonic
idioms for iterating, searching, and modifying the parse tree.

%description -l pl.UTF-8
Beautiful Soup rezyduje powyżej parsera HTML lub XML, zapewniając
pythonowe idiomy do iterowania, wyszukiwania i modyfikowania drzewa
analizy.

%package -n python3-%{module}
Summary:	beautifulsoup4 - Screen-scraping library
Summary(pl.UTF-8):	beautifulsoup4 - biblioteka przechwytująca wyjście
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.2

%description -n python3-%{module}
Beautiful Soup sits atop an HTML or XML parser, providing Pythonic
idioms for iterating, searching, and modifying the parse tree.

%description -n python3-%{module} -l pl.UTF-8
Beautiful Soup rezyduje powyżej parsera HTML lub XML, zapewniając
pythonowe idiomy do iterowania, wyszukiwania i modyfikowania drzewa
analizy.

%package apidocs
Summary:	API documentation for Python beautifulsoup4 module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona beautifulsoup4
Group:		Documentation

%description apidocs
API documentation for Python beautifulsoup4 module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona beautifulsoup4.

%prep
%setup -q -n beautifulsoup4-%{version}
%patch0 -p1
%patch1 -p1

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%if %{with doc}
%{__make} -C doc html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc {AUTHORS,COPYING,NEWS,README,TODO}.txt
%{py_sitescriptdir}/bs4
%{py_sitescriptdir}/beautifulsoup4-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc {AUTHORS,COPYING,NEWS,README,TODO}.txt
%{py3_sitescriptdir}/bs4
%{py3_sitescriptdir}/beautifulsoup4-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc doc/build/html/{_images,_static,*.html,*.js}
%endif
%changelog
* Sat Feb 27 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-bs4.git;a=log;h=master

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> da6aeb5
- release 4 (by relup.sh)

* Sat Jan 23 2021 Jakub Bogusz <qboosh@pld-linux.org> 3352eb1
- added lxml patch (fix for lxml 4.4+); release 3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 664d62e
- rebuild with python 3.8
- release 2 (by relup.sh)

* Fri Jul 20 2018 Jakub Bogusz <qboosh@pld-linux.org> 6edb640
- pl, added apidocs

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> f1083b4
- up to 4.6.0

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> f6b0576
- release 5 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> cb1e664
- python 3.7 rebuild
- release 4 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 23cb838
- python 3.6
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 6f2c820
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> a0a073d
- release 2 (by relup.sh)

* Thu Nov 26 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> f3d1c76
- Use py_build/py_install, fix tests

* Tue Nov 24 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 39babf6
- new package

